/survey/{id}/answer/sms/invite

Send an SMS invitation to the survey.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Will send an SMS invitation to the survey.

Subject and message are mandatory fields only when you send request first time. After this you don't need to send these because these are saved to the survey. If subject and message are saved to survey before you send first request then you don't need to send these at all.

Message can be 138 characters long. We will add short 22 characters invitation link after the message.

Before you can send invitations:

  • SMS channel must be activated by Surveypal
  • Survey must be launched (Build > Launch)
curl -i -X PUT \
   -H "Authorization: Basic YOUR-USERNAME-AND-TOKEN-BASE64-ENCODED" \
   -H "Accept:application/json" \
 'https://my.surveypal.com/api/rest/survey/:id/answer/sms/invite?phoneNumber=:phoneNumber&unique=:unique&anonymous=:anonymous&meta=:meta&localeId=:localeId&subject=:subject&message=:message&sendAt=:sendAt'
Path Params
int64
required

Target survey id

Query Params
string
required

The answer phone number. Use country prefix "00" instead of "+", for example 00358401234567.

boolean
Defaults to true

The answer phone number is required to be unique among the survey.

boolean
Defaults to false

The answer phone number is shown anonymously in the results.

string
Defaults to null

The answer language identifier. If survey doesn't contain specified language then first language will be selected. https://developer.surveypal.com/reference/locale-id-parameter

string

A JSON array of meta information for the answer. https://developer.surveypal.com/reference/meta-parameter

string
required

The invitation subject. Not in use with SMS so just add some content like "test".

string
required

The invitation message. You can add line break with %0a

string
Defaults to now

The date and time when to send the invitation. https://developer.surveypal.com/reference/timestamp-parameter

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain